﻿Public Class Form1
    #Region "Sub Form1_FormClosed : FormClosedイベント."
        Private Sub Form1_FormClosed(sender As Object, e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
            Try

                ' ------------------------------------------------------------------
                ' CODEITFの解放.
                ' ------------------------------------------------------------------
                    If Not (ClsPub_BarcodeITF Is Nothing) Then
                        ClsPub_BarcodeITF.Dispose()
                        ClsPub_BarcodeITF = Nothing
                    End If
                    ClsPub_CODE_ITF_INFO = Nothing

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Form1_Load : Loadイベント."
        Private Sub Form1_Load( sender As System.Object,  e As System.EventArgs) Handles MyBase.Load
            Try
                ' ------------------------------------------------------------------
                ' インストールされているプリンタを取得します.
                ' ------------------------------------------------------------------
                    With Me.Cmb_Printer
                        .Items.Clear()

                        For Each Str_PrinterName As String In System.Drawing.Printing.PrinterSettings.InstalledPrinters
                            .Items.Add(Str_PrinterName)
                        Next

                        If .Items.Count <> 0 Then
                            .SelectedIndex = 0
                        End If
                    End With

                ' ------------------------------------------------------------------
                ' CODEITFの設定.
                ' ------------------------------------------------------------------
                    ClsPub_BarcodeITF = New NSDCodeITF
                    ClsPub_BarcodeITF.PicBox = Me.PictureBox1
                    ClsPub_CODE_ITF_INFO = New NSDCodeITF.NSD_CODE_ITF_INFO

                ' 出力デバイス.
                    With Me.Cmb_Device
                        .Items.Clear()

                        .Items.Add("画面")
                        .Items.Add("プリンター")

                        .SelectedIndex = 0
                    End With

                ' プリンタースタイル.
                    With Me.Cmb_PrinterStyle
                        .Items.Clear()

                        .Items.Add("印刷プレビュー")
                        .Items.Add("印刷")

                        .SelectedIndex = 0
                    End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Button1_Click : バーコードを出力します."
        Private Sub Button1_Click( sender As System.Object,  e As System.EventArgs) Handles Button1.Click
            Try
                Dim Str_SCode As String = Me.Txt_Code.Text.Trim()
                Dim Str_Disp As String = Me.Txt_Disp.Text.Trim()
                If String.IsNullOrEmpty(Str_SCode) Then
                    MsgBox("作成コードを入力してください。")
                Else
                    Select Case Me.Cmb_Device.SelectedIndex
                        Case 0:
                        ' 画面.
                            Me.PictureBox1.BackColor = Color.White

                            Dim Int_X As Integer = Me.NUD_X.Value
                            Dim Int_Y As Integer = Me.NUD_Y.Value

                            ' ITF.
                            ClsPub_BarcodeITF.SetPicBoxBitmap()
                            ClsPub_BarcodeITF.DATAINFO = ClsPub_CODE_ITF_INFO
                            ClsPub_BarcodeITF.Print(Int_X, Int_Y, Str_SCode, Str_Disp)

                        Case 1:
                        ' プリンタ.
                            Select Case Me.Cmb_PrinterStyle.SelectedIndex
                                Case 0:
                                ' 印刷プレビュー.
                                    Me.PrintPreviewDialog1.Document = Me.PrintDocument1
                                    Me.PrintPreviewDialog1.ShowDialog()
                                Case 1:
                                ' 印刷.
                                    Me.PrintDocument1.Print()
                            End Select
                    End Select
                End If

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub PrintDocument1_PrintPage : ページを印刷します."
        Private Sub PrintDocument1_PrintPage(ByVal sender As Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles PrintDocument1.PrintPage
            Try
                Dim Str_SCode As String = Me.Txt_Code.Text.Trim()
                Dim Str_Disp As String = Me.Txt_Disp.Text.Trim()
                Dim Int_X As Integer = Me.NUD_X.Value
                Dim Int_Y As Integer = Me.NUD_Y.Value

                ' ITF.
                ClsPub_BarcodeITF.DATAINFO = ClsPub_CODE_ITF_INFO
                ClsPub_BarcodeITF.Print(Int_X, Int_Y, Str_SCode, e, Str_Disp)

            Finally
                e.HasMorePages = False
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Details_Click : 詳細ボタン."
        Private Sub Btn_Details_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_Details.Click
            Try
                ' CODE ITF.
                Using fCodeITF As New Dialog_CODEITF
                    fCodeITF.ShowDialog()
                End Using

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Cmb_Device_SelectedIndexChanged : 出力デバイス."
        Private Sub Cmb_Device_SelectedIndexChanged( sender As System.Object,  e As System.EventArgs) Handles Cmb_Device.SelectedIndexChanged
            Try
                If Me.Cmb_Device.SelectedIndex = 0 Then
                    ' 画面.
                    Me.GB_Printer.Enabled = False
                Else
                    ' プリンター.
                    Me.GB_Printer.Enabled = True
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Cmb_Printer_SelectedIndexChanged : プリンタの選択."
        Private Sub Cmb_Printer_SelectedIndexChanged( sender As System.Object,  e As System.EventArgs) Handles Cmb_Printer.SelectedIndexChanged
            Try
                With Me.Cmb_Printer
                    Me.PrintDocument1.PrinterSettings.PrinterName = .SelectedItem
                End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region

End Class
